I'm having a problem with the MyNextbase Connect or Alexa app.

BlackboxMyCar Updated by BlackboxMyCar

The minimum app requirements are Android 6 or iOS 13, and Bluetooth 4.2. Please check that your phone meets these minimum requirements.

Please check in your phone’s settings that all the app permissions are enabled for both the MyNextbase Connect and Alexa apps. These settings being wrongly configured account for the majority of app issues that users experience.

Please also ensure that Bluetooth and Wi-Fi are both enabled on your phone.

If you require any further help with an app issue, please contact Nextbase Support at support@nextbase.com.

Thanks for stopping by!

We love hearing from our customers, and we'd love to get your feedback to further improve your experience with us. Let us know how we're doing, or contact our support team (info@blackboxmycar.com) if you need further assistance from us.

How did we do?

My Dash Cam shuts down by itself after a while

How do I install the rear window camera?


Contact